Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Hollywood MAL AMIStore App Store A600 Memory

AuthorTopic: Why can't I use a Radeon 9200 in my AmigaOne?  (Read 2449 times)

0 Members and 1 Guest are viewing this topic.

Offline Matt_H

Why can't I use a Radeon 9200 in my AmigaOne?
« on: December 12, 2009, 05:22:03 PM »
Trying to add a little more horsepower than the 7500 I've got in there now. I've tried 2 different 9200 cards now (AGP), and they both send UBoot into a crashy reset loop before the display is even initialized. Any thoughts/advice?

The PSU is 350W, so power problems are unlikely.
 

Offline tone007

  • sad moaning faced git
  • Hero Member
  • *****
  • Join Date: Jan 2008
  • Posts: 3238
  • Total likes: 0
Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #1 on: December 12, 2009, 09:05:52 PM »
I thought 9250 was the way to go, mine is working fine.

Not sure if a 9200 is a no go, though.
3 Commodore file cabinets, 2 Commodore USB turntables, 1 AmigaWorld beer mug
Alienware M14x i7 laptop running AmigaForever
 

Offline clint

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #2 on: December 12, 2009, 09:13:07 PM »
Have a look at http://www.intuitionbase.com in the Compatible Hardware section
 

Offline CLS2086

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #3 on: December 12, 2009, 09:17:03 PM »
It should work, if the card is AGP 1.0 compatible !!! (not those 1.5volts only 8x)
Keep the Faith !
VG 5000/A1000/500/500+/600/2000/CDTV/1200PPC-GREX/1200PPC -ATEO-BV/4060D/CD32/Aone/Peg 1/Peg2 G4/ various funny machines too  :-) http://www.mo5.com/collection/index.php?pseudo=CLS2086
I also repair drives of our old beloved Amiga
 

Offline Matt_H

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #4 on: December 19, 2009, 05:34:56 PM »
Just had a chance to get back to this thread...

Thanks for the suggestions, but the cards are advertised as AGP 2x compatible and there is a compatibility listing at IntuitionBase, so I don't know what the problem is. Any other thoughts out there?
 

Offline CLS2086

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #5 on: December 19, 2009, 06:37:00 PM »
So, it's the bios of the card.
Similar things happened to Pegasos.
Keep the Faith !
VG 5000/A1000/500/500+/600/2000/CDTV/1200PPC-GREX/1200PPC -ATEO-BV/4060D/CD32/Aone/Peg 1/Peg2 G4/ various funny machines too  :-) http://www.mo5.com/collection/index.php?pseudo=CLS2086
I also repair drives of our old beloved Amiga
 

Offline Matt_H

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #6 on: December 19, 2009, 07:21:40 PM »
Can it be re-flashed?
 

Offline CLS2086

Keep the Faith !
VG 5000/A1000/500/500+/600/2000/CDTV/1200PPC-GREX/1200PPC -ATEO-BV/4060D/CD32/Aone/Peg 1/Peg2 G4/ various funny machines too  :-) http://www.mo5.com/collection/index.php?pseudo=CLS2086
I also repair drives of our old beloved Amiga
 

Offline Matt_H

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #8 on: December 20, 2009, 07:50:34 PM »
Quote from: CLS2086;534614
At your own risk (better buy an another one...)

Bios:
http://www.station-drivers.com/page/atidriv%20bios.htm
http://www.techpowerup.com/vgabios/
Flash :
http://www.mvktech.net/content/view/17/37/

Well, it's useless to me as is, so I might as well try. Have you done this before? What were your experiences?

Thanks for the links.
 

Offline redfox

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #9 on: December 20, 2009, 10:52:17 PM »
@Matt_H

I'm assuming you have OS4.1 and the quickfixes.

I have heard that other people have had problems with Radeon 9200 cards.  I don't know what the issue is or how to fix it.

The current publically available specs for OS4.1 indicate:
Required graphics card for hardware compositing: Radeon 1xx or Radeon 2xx
Recommended graphics card: Radeon 9250

I cannot confirm this on my own machine because I have a MicroA1, thus I am locked into the onboard Radeon 7000.

---
redfox
 

Offline Matt_H

Re: Why can't I use a Radeon 9200 in my AmigaOne?
« Reply #10 on: December 20, 2009, 11:37:53 PM »
@ redfox

The OS4 part is irrelevant, unfortunately, since the machine can't get anywhere near trying to load the Kickstart modules.